Bug 208161 - [PATCH] multimedia/libcec: update to 3.1.0
Summary: [PATCH] multimedia/libcec: update to 3.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
Depends on:
Blocks: 208456
  Show dependency treegraph
 
Reported: 2016-03-20 17:40 UTC by mickael.maillot
Modified: 2016-04-16 18:10 UTC (History)
4 users (show)

See Also:
riggs: maintainer-feedback-


Attachments
update to 3.1.0 diff (5.42 KB, text/plain)
2016-03-20 17:40 UTC, mickael.maillot
no flags Details
logs for armv6, default options (97.90 KB, text/x-log)
2016-03-22 13:42 UTC, Mikael Urankar
no flags Details
log for armv6, rpi option ON, X11 option OFF (102.21 KB, text/x-log)
2016-03-22 13:43 UTC, Mikael Urankar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mickael.maillot 2016-03-20 17:40:12 UTC
Created attachment 168432 [details]
update to 3.1.0 diff

libcec update to 3.1.0
multimedia/kodi and multimedia/plexhometheater needs bump
and i would like to have a plexhometheater validation from an user.

i tested the update on x86 and amd64 but i need validation for the arm part.
Someone already tested it on rpi2.


Poudriere logs:
http://fneu.fr/freebsd/libcec/
Comment 1 Mikael Urankar freebsd_committer 2016-03-22 13:42:54 UTC
Created attachment 168494 [details]
logs for armv6, default options
Comment 2 Mikael Urankar freebsd_committer 2016-03-22 13:43:32 UTC
Created attachment 168495 [details]
log for armv6, rpi option ON, X11 option OFF
Comment 3 Thomas Zander freebsd_committer 2016-04-03 17:41:41 UTC
Maintainer timeout
Comment 4 Thomas Zander freebsd_committer 2016-04-03 18:08:02 UTC
(In reply to mickael.maillot from comment #0)

Unfortunately, plexhometheater fails to build with this version of cec. Apparently, there have been invasive API changes.

@Ben, could you take a look for the necessary modifications of plexhometheater? libcec-3.1.0 itself builds fine with this patch.

Thanks in advance!
Comment 5 mickael.maillot 2016-04-05 15:04:10 UTC
(In reply to Thomas Zander from comment #4)
Or we can create a libcec3 port
Comment 6 Mikael Urankar freebsd_committer 2016-04-06 09:25:19 UTC
I have a patch for plexhometheater but I don't have the hardware to test it:
http://mikael.urankar.free.fr/FreeBSD/multimedia_plexhometheater.patch
Comment 7 Ben Woods freebsd_committer 2016-04-06 19:00:41 UTC
(In reply to mikael.urankar from comment #6)
Hi Mikael,
Thanks for pulling together that patch. I don't have an IR remote to test it with either, but given that patch is from the kodi development branch [1], which is what plexhometheater is branched from, I am happy for this patch to go into the plexhometheater port as long as it builds successfully.

[1] https://github.com/xbmc/xbmc/commit/be8f33d1468a295612b914eca8b59aa87cb67e8d
Comment 8 Mikael Urankar freebsd_committer 2016-04-08 12:52:07 UTC
(In reply to Ben Woods from comment #7)
It builds fine with my patch:
http://mikael.urankar.free.fr/FreeBSD/plexhometheater-1.4.1_1.log
Comment 9 Thomas Zander freebsd_committer 2016-04-09 09:45:53 UTC
(In reply to Ben Woods from comment #7)

Hi Ben,

the patch you referenced from the kodi dev branch is much larger than Mickael's minimalistic solution, and does not apply cleanly to the ports version of plexhometheater.

Would it be possible for you to test and approve Mickael's patch?
I would really like to avoid having two libcec versions in the ports tree, since there are only two dependent ports. Thank you!
Comment 10 Ben Woods freebsd_committer 2016-04-09 10:20:24 UTC
(In reply to Thomas Zander from comment #9)
Hi Thomas,
Yes I agree Mikael's patch is smaller, but it seems to have the necessary components.
Since I don't have a remote control to test plexhometheater with this libcec patch, I am happy for Mikael's patch to be added to the plexhometheater port if it builds successfully.
Thanks,
Ben
Comment 11 commit-hook freebsd_committer 2016-04-16 18:01:01 UTC
A commit references this bug:

Author: riggs
Date: Sat Apr 16 18:00:46 UTC 2016
New revision: 413472
URL: https://svnweb.freebsd.org/changeset/ports/413472

Log:
  Update to upstream version 3.1.0, introduce OPTIONS for PYTHON, X11 and RPI

  Details
  - Turn existing python wrapper and X11 support into default OPTIONS
  - Introduce RPI non-default OPTION on armv6

  PR:		208161
  Submitted by:	mickael.maillot@gmail.com
  Approved by:	maintainer timeout

Changes:
  head/multimedia/libcec/Makefile
  head/multimedia/libcec/distinfo
  head/multimedia/libcec/files/patch-configure.ac
  head/multimedia/libcec/files/patch-src_libcec_cmake_SetBuildInfo.cmake
  head/multimedia/libcec/pkg-message
  head/multimedia/libcec/pkg-plist
Comment 12 commit-hook freebsd_committer 2016-04-16 18:04:03 UTC
A commit references this bug:

Author: riggs
Date: Sat Apr 16 18:03:17 UTC 2016
New revision: 413473
URL: https://svnweb.freebsd.org/changeset/ports/413473

Log:
  Fix build with recent libcec 3.1.0 update; bump PORTREVISION

  PR:		208161
  Submitted by:	mickael.maillot@gmail.com
  Approved by:	woodsb02@gmail.com (maintainer)

Changes:
  head/multimedia/plexhometheater/Makefile
  head/multimedia/plexhometheater/files/patch-xbmc_peripherals_devices_PeripheralCecAdapter.cpp